// Persistence of Vision Raytracer
#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

#declare pers=0.8	// perspective
#declare lscale=5	
#declare Objloc=<1.5, -0.3, 0>
#declare dscale=0.95
#declare dir=<0.5, 0, 0.4>

camera {
   direction pers*dscale *<0, 0, 1>
   location Objloc - dir * pers*lscale
   up <0, 1, 0>
   right <1.33333, 0, 0>
   look_at  Objloc
   translate <-0.2, 0, 0.25>
 }

#include "hello.pov"
#include "world.pov"

object { 
  union {
    object { 
	String1
	texture { White_Marble }
    }
    object { 
	String2
	pigment { agate //onion //leopard
		color_map {
		  [0.0  color Orange]
		  [1.0  color Black]
		}
		scale 0.01
		turbulence 0.2
	}
	translate < 0.0, -1.3, 0.0 >
    }
  }
}

object {
   sphere { <33, 0, 10>, 30  }
   texture {
	Rust
   }
 }

object {
  light_source { <-1.8, 0, -7.0> color White }
  no_shadow
}



